/*****************************************************************************

This is file exp1.h.

*****************************************************************************/

#include <math.h>
#include "rand01.h"

double exp1(long *idum);  /* This uses rand1 to generate 
			     exponential(1) variates.  Scale by 1/lambda 
			     to get exp(lambda) variates.  Initialised 
			     with a pointer to a *negative* integer.  
			     Change the two occurances of rand1 to rand2 to
			     use with better generator rand2.c.  See notes 
			     for details of rand2.c */
